avro-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Scott Carey (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AVRO-1334) Java: update dependencies for 1.7.5
Date Tue, 21 May 2013 04:19:15 GMT

    [ https://issues.apache.org/jira/browse/AVRO-1334?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13662664#comment-13662664
] 

Scott Carey commented on AVRO-1334:
-----------------------------------

And lastly, the TestIDL had to be changed since the Jackson upgrade changed the whitespace
in pretty print slightly (an empty array is now "[]" instead of "[\n]", so I made the test
insensitive to whitespace.
                
> Java: update dependencies for 1.7.5
> -----------------------------------
>
>                 Key: AVRO-1334
>                 URL: https://issues.apache.org/jira/browse/AVRO-1334
>             Project: Avro
>          Issue Type: Bug
>          Components: java
>            Reporter: Scott Carey
>            Assignee: Scott Carey
>            Priority: Minor
>             Fix For: 1.7.5
>
>         Attachments: AVRO-1334.patch
>
>
> A report for mvn versions:display-property-updates on trunk --
> {noformat}
> [INFO] The following version properties are referencing the newest available version:
> [INFO]   ${jetty.version} ............................................. 6.1.26
> [INFO]   ${javacc-plugin.version} ........................................ 2.6
> [INFO]   ${velocity.version} ............................................. 1.7
> [INFO]   ${exec-plugin.version} ........................................ 1.2.1
> [INFO] The following version property updates are available:
> [INFO]   ${jackson.version} .................................. 1.8.8 -> 1.9.11
> [INFO]   ${source-plugin.version} ............................. 2.1.2 -> 2.2.1
> [INFO]   ${jar-plugin.version} .................................. 2.3.2 -> 2.4
> [INFO]   ${snappy.version} ................................. 1.0.5 -> 1.1.0-M3
> [INFO]   ${checkstyle-plugin.version} ............................ 2.8 -> 2.10
> [INFO]   ${hadoop1.version} .............................. 0.20.205.0 -> 1.1.2
> [INFO]   ${commons-compress.version} ............................ 1.4.1 -> 1.5
> [INFO]   ${plugin-plugin.version} ................................. 2.9 -> 3.2
> [INFO]   ${javadoc-plugin.version} ................................ 2.8 -> 2.9
> [INFO]   ${compiler-plugin.version} ............................. 2.3.2 -> 3.1
> [INFO]   ${jopt-simple.version} ................................... 4.1 -> 4.4
> [INFO]   ${surefire-plugin.version} ........................... 2.12 -> 2.14.1
> [INFO]   ${paranamer.version} ................................... 2.3 -> 2.5.2
> [INFO]   ${netty.version} ........................ 3.4.0.Final -> 4.0.0.Alpha8
> [INFO]   ${slf4j.version} ..................................... 1.6.4 -> 1.7.5
> [INFO]   ${shade-plugin.version} .................................. 1.5 -> 2.1
> [INFO]   ${junit.version} ....................................... 4.10 -> 4.11
> {noformat}
> Consider upgrades for these as well as the Apache parent and build plugins.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message